## gdk-pixbuf 2.38.0+dfsg

=== debian/changelog ===
gdk-pixbuf (2.38.0+dfsg-6) unstable; urgency=medium

  * Team upload
  * gir1.2-gdkpixbuf-2.0 Breaks: libgtk3-perl (<< 0.034-2~), to avoid
    #908323 being reported as an autopkgtest regression in gtk+3.0
  * d/watch: Use dversionmangle to remove +dfsg suffix (thanks, Lintian)
  * d/copyright: Correct syntax for matching
    contrib/gdk-pixbuf-xlib/gdk-pixbuf-xlibrgb.?. Machine-readable
    copyright file format supports * and ? wildcards, but not [ch].
  * d/copyright: Remove stanzas for files that are no longer included
  * Enable bindnow linker hardening
  * gir1.2-gdkpixbuf-2.0 Provides gir1.2-gdkpixdata-2.0, to reflect its
    contents
    - Remove lintian overrides that are no longer necessary

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Sep 2018 11:57:58 +0100

gdk-pixbuf (2.38.0+dfsg-5) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/rules: Use meson test --print-errorlogs
    dh_auto_test normally does that for us

  [ Iain Lane ]
  * Add new patch to include gdk-pixdata.c when building the GdkPixbuf gir.
    This fixes broken introspection metadata that at least would have broken
    libgtk3-perl. (Closes: #908673)

 -- Iain Lane <laney@debian.org>  Thu, 13 Sep 2018 12:50:53 +0100

gdk-pixbuf (2.38.0+dfsg-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/gbp.conf
  * debian/libgdk-pixbuf2.0-0.install: Use ${DEB_HOST_MULTIARCH} less.
    Thanks lintian.

  [ John Paul Adrian Glaubitz ]
  * debian/rules: Have dh_auto_test override honor nocheck (Closes: #908373)

  [ Chris Lamb ]
  * Add Use-basename-instead-of-filename.patch:
    - Proposed patch for reproducible builds and multi-arch co-installability
      (Closes: #908309)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 09 Sep 2018 08:12:01 -0400

gdk-pixbuf (2.38.0+dfsg-3) unstable; urgency=medium

  [ Sven Joachim ]
  * Fix FTBFS on any-i386 (Closes: #908298)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 08 Sep 2018 10:54:08 +0200

gdk-pixbuf (2.38.0+dfsg-2) unstable; urgency=medium

  * Allow 5× as much time for the tests, to hopefully allow gdk-pixbuf to pass
    tests on all of our slower arches.

 -- Iain Lane <laney@debian.org>  Fri, 07 Sep 2018 17:43:33 +0100

gdk-pixbuf (2.38.0+dfsg-1) unstable; urgency=medium

  * New upstream release (LP: #1791301)
    - Add test case for buffer overflow in pixdata loader
    - Avoid a deprecation warning with recent libjasper
    - Deprecate GDK_INTERP_HYPER
    - Drop Autotools build and move to Meson
    - Drop the MMX assembly optimizations for pixops
    - Ensure that GdkPixbuf's storage is safely handled
    - Expose the dimensions of the original image from GdkPixbufLoader
    - Fix documentation building with X11 disabled
    - Fix introspection annotations
    - Fix OOB error when dithering
    - Generate separate introspection data for GdkPixdata API
    - Improve compatibility for the post-install script
    - Improve thumbnailer implementation
    - Make X11 a dependency if the `x11` build option is enabled
    - Plug a memory leak when using GBytes
    - Properly install test data
  * debian/copyright: Exclude tests/bug753605-atsize.jpg, which is non-free.
    This was added for a testcase, but we can't distribute it. The testcase
    itself is disabled in debian/patches/Remove-test-for-GNOME-753605.patch
    already.
  * Remove-test-for-GNOME-753605.patch:
    + Remove "wasn't included in the tarball" It now is in the tarball, but we
    + Don't try to install bug753605-atsize.jpg
    are repacking to exclude it.
  * Build with meson.
  * Don't build the installed tests for this upload. It'd require a trip
    through binNEW
  * docs: Drop AUTHORS, rename README to README.md
  * libgdk-pixbuf2.0-0.symbols: Drop two private symbols. These are in a
    private header and weren't meant to be exported. codesearch.d.n shows no
    external users.
  * Bump Standards-Version to 4.2.1 (no changes required)
  * Add Lintian overrides for warnings about GdkPixdata introspection data.
    It's intentional that this is in gir1.2-gdkpixbuf-2.0

 -- Iain Lane <laney@debian.org>  Fri, 07 Sep 2018 14:45:00 +0100

gdk-pixbuf (2.36.12-2) unstable; urgency=medium

  * Team upload

  [ Hugh McMaster ]
  * Move gdk-pixbuf-csource and gdk-pixbuf-pixdata into
    libgdk-pixbuf2.0-bin (Closes: #876183, #882785).
  * Update the package description for libgdk-pixbuf2.0-bin.
  * Mark libgdk-pixbuf2.0-dev Multi-Arch: same (Closes: #689125).

  [ Simon McVittie ]
  * Update versioned Breaks/Replaces
  * Remove /usr/bin/gdk-pixbuf-query-loaders symlink from -dev package.
    It has architecture-dependent output and breaks Multi-Arch: same
    co-installability. Debian packages do not seem to rely on this tool
    being in PATH.
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Aug 2018 15:15:42 +0100

gdk-pixbuf (2.36.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop all patches, applied upstream
  * d/copyright: Mention gtk-doc.make and m4/gtk-doc.m4
  * d/p/Remove-test-for-GNOME-753605.patch:
    Patch out test for GNOME#753605. It relies on non-free test data
    (that is malformed in the right way to exhibit the bug), which was
    not included in the upstream 2.36.12 tarball.
    (Note to future maintainers: when packaging versions
    2.37+ please check that the non-free file is not included.)
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.1.5 (no changes required)
  * Use debhelper 11 compat level
  * d/copyright: Correct syntax
  * Upgrade udeb from deprecated priority extra to optional
  * Remove ineffective lintian override for the udeb
  * d/libgdk-pixbuf2.0-0.lintian-overrides: Document non-SONAME-based
    package name

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Jul 2018 10:44:54 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gdk-pixbuf
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-exec,
               gnome-pkg-tools (>= 0.10),
               meson (>= 0.46.0),
               libglib2.0-dev (>= 2.48.0),
               libx11-dev,
               libpng-dev (>= 1.6),
               libpng-dev (<< 1.7),
               libjpeg-dev,
               libtiff-dev,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.3),
               xsltproc,
               shared-mime-info (>= 1.2),
               gtk-doc-tools (>= 1.20),
               libglib2.0-doc,
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: http://www.gtk.org/
Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf

Package: libgdk-pixbuf2.0-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info,
         libgdk-pixbuf2.0-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends: libgdk-pixbuf2.0-bin
Multi-Arch: same
Description: GDK Pixbuf library
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)

Package: libgdk-pixbuf2.0-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Replaces: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
Breaks: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
Description: GDK Pixbuf library (thumbnailer)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the GDK pixdata compression utility, the thumbnailer
 and a utility for converting images into C code.

Package: libgdk-pixbuf2.0-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GDK Pixbuf library - data files
 This package contains the common files and translations for the GDK
 Pixbuf library.

Package: libgdk-pixbuf2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgdk-pixbuf2.0-0 (= ${binary:Version}),
         libgdk-pixbuf2.0-bin (= ${binary:Version}),
         gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.37.6),
         libx11-dev,
         libpng-dev (>= 1.6),
         libpng-dev (<< 1.7),
         shared-mime-info
Description: GDK Pixbuf library (development files)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the header files which are needed for using GDK Pixbuf.

Package: libgdk-pixbuf2.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GDK Pixbuf library (documentation)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the HTML documentation for the GDK Pixbuf library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: libgdk-pixbuf2.0-0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GDK Pixbuf library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the minimal runtime library needed by
 the Debian installer.

Package: gir1.2-gdkpixbuf-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgtk3-perl (<< 0.034-2~)
Provides: gir1.2-gdkpixdata-2.0 (= ${binary:Version})
Description: GDK Pixbuf library - GObject-Introspection
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

include /usr/share/dpkg/architecture.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dinstalled_tests=false

# temporary directory for the minimal MIME cache generation
mimedir := debian/build-mime
mimexml := /usr/share/mime/packages/freedesktop.org.xml

infiles := \
	libgdk-pixbuf2.0-0.triggers \
	libgdk-pixbuf2.0-0.postinst \
	libgdk-pixbuf2.0-0.postrm

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# on slow arches the "slow" tests take longer than the timeout allowed
	# by upstream; allow even more time (-t is a multipiler)
	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5
endif

override_dh_install:
	find $(CURDIR)/debian/tmp -name *.la -print -delete
	dh_install --fail-missing
	# process .in files
	set -e; for file in $(infiles); do \
		sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
			debian/$${file}.in > debian/$$file; \
	done
	# generate a minimal MIME cache for the udeb
	mkdir -p $(mimedir)/packages
	[ -f $(mimexml) ]
	xsltproc -nonet debian/keep-png-only.xsl $(mimexml) \
		> $(mimedir)/packages/png.freedesktop.org.xml
	update-mime-database $(mimedir)
	install -m 0644 -D $(mimedir)/mime.cache debian/libgdk-pixbuf2.0-0-udeb/usr/share/mime/mime.cache
	# generate a loaders cache for the udeb
	mkdir -p debian/libgdk-pixbuf2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0
	LD_LIBRARY_PATH=debian/libgdk-pixbuf2.0-0-udeb/usr/lib:$(LD_LIBRARY_PATH) \
		debian/libgdk-pixbuf2.0-0/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		debian/libgdk-pixbuf2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders/*.so \
		| sed 's;$(CURDIR)/debian/libgdk-pixbuf2.0-0-udeb;;g' \
		> debian/libgdk-pixbuf2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache
	chmod 0644 debian/libgdk-pixbuf2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb=libgdk-pixbuf2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4

override_dh_clean:
	dh_clean
	set -e; for file in $(infiles); do \
		rm -f debian/$$file; \
	done
	rm -rf $(mimedir)

## gdk-pixbuf 2.38.1%2Bdfsg

=== debian/changelog ===
gdk-pixbuf (2.38.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Add variables in the pkg-config files for binary utilities
    - Fix error handling in PNG loader
    - Fix introspection generation
    - Fix OOM in JPEG2000 loader
    - Fix thumbnailing of animated GIFs
    - Improve reproducibility of the build
    - Multiple improvements to the GIF loader
    - Speed up saving PNG files
  * Drop upstream patches.
     - Use-basename-instead-of-filename.patch,
       build-Include-gdk-pixdata.c-when-building-GdkPixbuf-2.0.g.patch:
       Included in this release

 -- Iain Lane <laney@debian.org>  Mon, 04 Mar 2019 14:31:35 +0000

gdk-pixbuf (2.38.0+dfsg-7) unstable; urgency=medium

  * debian/rules: Stop including gnome-get-source.mk, use uscan instead
  * debian/libgdk-pixbuf2.0-0.symbols: Set Build-Depends-Package
  * Add -Wl,-O1 -Wl,-z,defs -Wl,--as-needed to our LDFLAGS
  * Enable all hardening flags
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 22:44:55 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 include /usr/share/dpkg/architecture.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 %:
 	dh $@ --with gir,gnome

## gdk-pixbuf 2.38.1+dfsg

=== debian/changelog ===
gdk-pixbuf (2.38.1+dfsg-1+deb10u2) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * debian/gbp.conf: set packaging branch to debian/buster.
  * debian/patches/CVE-2025-7345.patch: import patch from upstream.
      - CVE-2025-7345: A flaw exists in gdk‑pixbuf within the
        gdk_pixbuf__jpeg_image_load_increment function (io-jpeg.c) and in
        glib’s g_base64_encode_step (glib/gbase64.c) potentially leading to a
        buffer overflow. (Closes: #1109262)
  * debian/salsa-ci.yml:
      - Add (E)LTS pipeline for buster.
      - Build with nocheck so the package builds in salsa-ci. gdk-pixbuf's
        tests trigger oom-killer in salsa-ci only.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Mon, 27 Oct 2025 22:46:37 -0300

gdk-pixbuf (2.38.1+dfsg-1+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2022-48622: ANI file loader memory corruption

 -- Adrian Bunk <bunk@debian.org>  Mon, 12 Aug 2024 19:56:33 +0300

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                gtk-doc-tools (>= 1.20),
                libglib2.0-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf

## gdk-pixbuf 2.40.0%2Bdfsg

=== debian/changelog ===
gdk-pixbuf (2.40.0+dfsg-3ubuntu0.5) focal-security; urgency=medium

  * SECURITY UPDATE: heap memory corruption
    - debian/patches/CVE-2022-48622-*.patch: adds checks for invalid ani files
      to gdk-pixbuf/io-ani.c.
    - tests/tests-images/fail/CVE-2022-48622.ani: test file.
    - debian/source/include-binaries: including binary test file.
    - CVE-2022-48622

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 03 Jun 2024 19:41:09 +0300

gdk-pixbuf (2.40.0+dfsg-3ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: Heap-Buffer-Overflow
    - debian/patches/CVE-2021-44648-1.patch: Add an assertion that checks for maximum LZW code size
      in gdk-pixbuf/lzw.c.
    - debian/patches/CVE-2021-44648-2.patch: Fix the check for maximum value
      of LZW initial code size in gdk-pixbuf/io-gif.c.
    - debian/patches/CVE-2021-44648-3.patch:  Add tests for GIF files with
      invalid LZW code size in tests/tests-images/fail/* and
      tests/tests-images/gif-test-suite/*.
    - debian/source/include-binaries: add tests binaries to the package
    - CVE-2021-44648

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 07 Sep 2022 12:05:42 -0300

gdk-pixbuf (2.40.0+dfsg-3ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Buffer overwrite in io-gif-animation.c
    composite_frame() (LP: #1982898)
    - debian/patches/CVE-2021-46829.patch: gif: Check for overflow
      when compositing or clearing frames.
    - CVE-2021-46829

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Tue, 26 Jul 2022 20:42:00 -0400

gdk-pixbuf (2.40.0+dfsg-3ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: integer underflow in GIF loader
    - debian/patches/CVE-2021-20240.patch: check for overflow in
      gdk-pixbuf/io-gif-animation.c.
    - CVE-2021-20240

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Feb 2021 09:41:16 -0500

gdk-pixbuf (2.40.0+dfsg-3ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: infinite loop in write_indexes
    - debian/patches/CVE-2020-29385.patch: fix LZW decoder accepting
      invalid LZW code in gdk-pixbuf/lzw.c.
    - CVE-2020-29385

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Dec 2020 08:32:30 -0500

gdk-pixbuf (2.40.0+dfsg-3) unstable; urgency=medium

  * debian/rules: Make the tests non-fatal on kfreebsd-amd64

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 18:35:39 +0100

gdk-pixbuf (2.40.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * d/tests/build: Mark as superficial
  * d/tests/build: Make autopkgtest cross-test-friendly.
    Use an appropriate cross-compiler and cross-pkg-config when using
    proposed autopkgtest cross-testing support.
    Thanks to Steve Langasek. (Closes: #946374)
  * d/tests/build: Fail on references to unset variables
  * d/tests/build: Fix shellcheck warnings
  * Bump Standards-Version to 4.4.1

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Dec 2019 16:33:27 +0000

gdk-pixbuf (2.40.0+dfsg-1) unstable; urgency=medium

  * New upstream release

  [ Simon McVittie ]
  * Re-import upstream source code with non-free test data excluded
  * d/gbp.conf: Disable automatic merging of upstream VCS tags.
    This doesn't work well with +dfsg versions.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Oct 2019 17:38:01 +0200

gdk-pixbuf (2.39.2-3) experimental; urgency=medium

  * debian/rules:
    - use dh_missing --fail-missing

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 21:40:38 +0200

gdk-pixbuf (2.39.2-2) experimental; urgency=medium

  * Really remove debian/compat from the upload...

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 20:09:49 +0200

gdk-pixbuf (2.39.2-1) experimental; urgency=medium

  * New upstream release
    - Render GIF frames on demand
  * debian/control.in, debian/compat:
    - update to debhelper12
    - update the Standards-version to 4.4.0.1
  * debian/libgdk-pixbuf2.0-0.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 16:05:13 +0200

## gdk-pixbuf 2.40.0+dfsg

=== meson_options.txt ===
option('png',
       description: 'Enable PNG loader (requires libpng)',
       type: 'boolean',
       value: true)
option('tiff',
       description: 'Enable TIFF loader (requires libtiff), disabled on Windows if "native_windows_loaders" is used',
       type: 'boolean',
       value: true)
option('jpeg',
       description: 'Enable JPEG loader (requires libjpeg), disabled on Windows if "native_windows_loaders" is used',
       type: 'boolean',
       value: true)
option('jasper',
       description: 'Enable JPEG2000 loader (requires libjasper)',
       type: 'boolean',
       value: false)
option('x11',
       description: 'Enable X11 support (requires libX11)',
       type: 'boolean',
       value: true)
option('builtin_loaders',
       description: 'Comma-separated list of loaders to build into gdk-pixbuf, or "none", or "all" to build all buildable loaders into gdk-pixbuf',
       type: 'string',
       value: 'none')
option('docs',
       description: 'Whether to generate the API reference (requires GTK-Doc)',
       type: 'boolean',
       value: false)
option('gir',
       description: 'Whether to generate the API introspection data (requires GObject-Introspection)',
       type: 'boolean',
       value: true)
option('man',
       description: 'Whether to generate man pages (requires xlstproc)',
       type: 'boolean',
       value: true)
option('relocatable',
       description: 'Whether to enable application bundle relocation support',
       type: 'boolean',
       value: false)
option('native_windows_loaders',
       description: 'Use Windows system components to handle BMP, EMF, GIF, ICO, JPEG, TIFF and WMF images, overriding jpeg and tiff.  To build this into gdk-pixbuf, pass in windows" with the other loaders to build in or use "all" with the builtin_loaders option',
       type: 'boolean',
       value: false)
option('installed_tests',
       description: 'Install the test suite',
       type: 'boolean',
       value: true)
option('gio_sniffing',
       description: 'Perform file type detection using GIO (Unused on MacOS and Windows)',
       type: 'boolean',
       value: true)

=== debian/changelog ===
gdk-pixbuf (2.40.0+dfsg-5) unstable; urgency=medium

  * rules: Don't mangle PNGs in gdk-pixbuf-tests (for Ubuntu)

 -- Iain Lane <laney@debian.org>  Mon, 01 Jun 2020 17:05:16 +0100

gdk-pixbuf (2.40.0+dfsg-4) unstable; urgency=medium

  * Do not rebuild the documentation when it's not necessary
  * debian/control.in: Bump Standards-Version to 4.5.0
  * Ship the installed tests and run them in the dep8 tests

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Apr 2020 14:34:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,35 +6,36 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11~),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
+               docbook-xml,
+               docbook-xsl,
                gnome-pkg-tools (>= 0.10),
-               meson (>= 0.46.0),
-               libglib2.0-dev (>= 2.48.0),
-               libx11-dev,
-               libpng-dev (>= 1.6),
-               libpng-dev (<< 1.7),
-               libjpeg-dev,
-               libtiff-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3),
-               xsltproc,
+               libglib2.0-dev (>= 2.48.0),
+               libjpeg-dev,
+               libpng-dev (<< 1.7),
+               libpng-dev (>= 1.6),
+               libtiff-dev,
+               libx11-dev,
+               meson (>= 0.46.0),
                shared-mime-info (>= 1.2),
-               gtk-doc-tools (>= 1.20),
-               libglib2.0-doc,
+               xsltproc
+Build-Depends-Indep: gtk-doc-tools (>= 1.20) <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
 
 Package: libgdk-pixbuf2.0-0
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: libgdk-pixbuf2.0-common (= ${source:Version}),
          shared-mime-info,
-         libgdk-pixbuf2.0-common (= ${source:Version})
+         ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgdk-pixbuf2.0-bin
 Multi-Arch: same
@@ -46,8 +47,7 @@
 
 Package: libgdk-pixbuf2.0-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Replaces: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
 Breaks: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
@@ -72,16 +72,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
          libgdk-pixbuf2.0-0 (= ${binary:Version}),
          libgdk-pixbuf2.0-bin (= ${binary:Version}),
-         gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.37.6),
+         libpng-dev (<< 1.7),
+         libpng-dev (>= 1.6),
          libx11-dev,
-         libpng-dev (>= 1.6),
-         libpng-dev (<< 1.7),
-         shared-mime-info
+         shared-mime-info,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GDK Pixbuf library (development files)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -95,6 +95,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: GDK Pixbuf library (documentation)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -108,8 +109,7 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GDK Pixbuf library - minimal runtime
  This is a udeb, or a microdeb, for the debian-installer.
  .
@@ -125,9 +125,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libgtk3-perl (<< 0.034-2~)
 Provides: gir1.2-gdkpixdata-2.0 (= ${binary:Version})
 Description: GDK Pixbuf library - GObject-Introspection
@@ -138,3 +136,16 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: gdk-pixbuf-tests
+Architecture: any
+Depends: libgdk-pixbuf2.0-0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: installed tests for the GDK Pixbuf library
+ The GDK Pixbuf library provides:
+  - Image loading and saving facilities.
+  - Fast scaling and compositing of pixbufs.
+  - Simple animation loading (ie. animated GIFs)
+ .
+ This package contains the installed tests for the GDK Pixbuf library.

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,19 @@
 
 include /usr/share/dpkg/architecture.mk
 
+ifneq (,$(filter libgdk-pixbuf2.0-doc,$(shell dh_listpackages)))
+  BUILD_DOCS:=-Ddocs=true
+else
+  BUILD_DOCS:=-Ddocs=false
+endif
+
 %:
 	dh $@ --with gir,gnome
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Ddocs=true \
-		-Dinstalled_tests=false
+		$(BUILD_DOCS) \
+		-Dinstalled_tests=true
 
 # temporary directory for the minimal MIME cache generation
 mimedir := debian/build-mime
@@ -26,12 +32,16 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	# on slow arches the "slow" tests take longer than the timeout allowed
 	# by upstream; allow even more time (-t is a multipiler)
+ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64))
+	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 || true
+else
 	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5
+endif
 endif
 
 override_dh_install:
 	find $(CURDIR)/debian/tmp -name *.la -print -delete
-	dh_install --fail-missing
+	dh_install
 	# process .in files
 	set -e; for file in $(infiles); do \
 		sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
@@ -56,9 +66,19 @@
 override_dh_makeshlibs:
 	dh_makeshlibs --add-udeb=libgdk-pixbuf2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_clean:
 	dh_clean
 	set -e; for file in $(infiles); do \
 		rm -f debian/$$file; \
 	done
 	rm -rf $(mimedir)
+
+override_dh_builddeb:
+	# on Ubuntu PNGs are optimised using 'optipng', but the (installed)
+	# testsuite relies on them being unmangled
+	NO_PNG_PKG_MANGLE=1 dh_builddeb -pgdk-pixbuf-tests
+	dh_builddeb --remaining-packages
+

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libgdk-pixbuf2.0-dev, pkg-config

Test-Command: gnome-desktop-testing-runner gdk-pixbuf
Depends: gdk-pixbuf-tests, gnome-desktop-testing
Features: test-name=installed-tests

## gdk-pixbuf 2.42.2+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -10,26 +10,23 @@
        description: 'Enable JPEG loader (requires libjpeg), disabled on Windows if "native_windows_loaders" is used',
        type: 'boolean',
        value: true)
-option('jasper',
-       description: 'Enable JPEG2000 loader (requires libjasper)',
-       type: 'boolean',
-       value: false)
-option('x11',
-       description: 'Enable X11 support (requires libX11)',
-       type: 'boolean',
-       value: true)
 option('builtin_loaders',
        description: 'Comma-separated list of loaders to build into gdk-pixbuf, or "none", or "all" to build all buildable loaders into gdk-pixbuf',
        type: 'string',
        value: 'none')
-option('docs',
+option('gtk_doc',
        description: 'Whether to generate the API reference (requires GTK-Doc)',
        type: 'boolean',
        value: false)
-option('gir',
+option('docs',
+       description: 'Whether to generate the whole documentation (see: gtk_doc and man options) [Deprecated]',
+       type: 'boolean',
+       value: false)
+option('introspection',
        description: 'Whether to generate the API introspection data (requires GObject-Introspection)',
-       type: 'boolean',
-       value: true)
+       type: 'feature',
+       value: 'auto',
+       yield: true)
 option('man',
        description: 'Whether to generate man pages (requires xlstproc)',
        type: 'boolean',

=== debian/changelog ===
gdk-pixbuf (2.42.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release, without the Xlib API
    - Fix infinite loop on invalid LZW codes in the GIF loader
      (Closes: #977166, CVE-2020-29385)
  * d/patches: Update to upstream 2.42.2-6-g89a4cedc
    - Make enum GType registration thread-safe
    - Fix memory leaks in test code
    - Update Romanian translation
  * d/rules: Update Meson parameter names
  * Update versioned build-dependencies
  * d/patches: Change how the test for GNOME#753605 is avoided.
    Instead of deleting the code, which will cause merge conflicts on new
    upstream versions, just skip the test if the non-free file is missing.
  * Stop deleting .la files.
    This package no longer uses libtool, so there are none.
  * d/rules: Don't chmod a file that is no longer shipped
  * Don't try to remove non-determinism from test data.
    Some of the images included with the tests are deliberately malformed.
  * d/patches: Add proposed patches to run all the tests, and make
    them pass
  * d/copyright: Remove information about contrib/, which was removed.
    The former contrib directory from this source package has moved to
    the gdk-pixbuf-xlib source package.

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Dec 2020 22:57:45 +0000

gdk-pixbuf (2.40.0+dfsg-10) unstable; urgency=medium

  * Team upload
  * Release to unstable, without the Xlib API which is now provided by
    src:gdk-pixbuf-xlib (Closes: #974870)

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Dec 2020 13:21:23 +0000

gdk-pixbuf (2.40.0+dfsg-9) experimental; urgency=medium

  * Team upload
  * Branch for experimental again
  * Drop gdk-pixbuf-xlib binary packages.
    These will be taken over by a new src:gdk-pixbuf-xlib binary package
    when it gets through NEW.

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Nov 2020 15:27:13 +0000

gdk-pixbuf (2.40.0+dfsg-8) unstable; urgency=medium

  * Team upload
  * Generate shlibs dependencies without a transitional alternative.
    The libgdk-pixbuf-2.0-0 and libgdk-pixbuf-xlib-2.0-0 packages are now
    available in testing, so we don't need an alternative dependency on
    libgdk-pixbuf2.0-0 for a smooth transition.
    This avoids an apparently-circular dependency between
    libgdk-pixbuf-xlib-2.0-0 and the transitional libgdk-pixbuf2.0-0.
    (Closes: #975904)
  * Standards-Version: 4.5.1 (no changes required)
  * Don't install tests/test-images/fail/file3.jp2 as executable.
    It isn't an executable or script.

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Nov 2020 13:32:25 +0000

gdk-pixbuf (2.40.0+dfsg-7) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Nov 2020 15:45:56 +0000

gdk-pixbuf (2.40.0+dfsg-6) experimental; urgency=medium

  * Team upload
  * Branch for experimental
  * Split main library away from Xlib integration library (see #974870).
    The Xlib integration library has been removed upstream in 2.41.x,
    and moved to a separate, deprecated source repository.
    To facilitate a transition to separate source packages, split the binary
    packages built by this source package, in the same style as the split
    that was done in Pango 1.32.5-2:
    - libgdk-pixbuf2.0-0:
      + libgdk_pixbuf-2.0.so.0 -> libgdk-pixbuf-2.0-0
      + libgdk_pixbuf_xlib-2.0.so.0 -> libgdk-pixbuf-xlib-2.0-0
    - libgdk-pixbuf2.0-dev:
      + gdk-pixbuf-2.0.pc, <gdk-pixbuf/gdk-pixbuf.h>
        -> libgdk-pixbuf-2.0-dev
      + deprecated <gdk-pixbuf/gdk-pixdata.h> -> libgdk-pixbuf-2.0-dev
      + gdk-pixbuf-xlib-2.0.pc, <gdk-pixbuf-xlib/gdk-pixbuf-xlib.h>
        -> libgdk-pixbuf-xlib-2.0-dev
    with transitional packages to help with the upgrade path.
    The -bin, -common and -doc packages remain as they were.
  * Packages that only require gdk-pixbuf-2.0.pc and
    <gdk-pixbuf/gdk-pixbuf.h> should now build-depend on
    libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev.
  * Packages that require gdk-pixbuf-xlib-2.0.pc and
    <gdk-pixbuf-xlib/gdk-pixbuf-xlib.h> should now build-depend on
    libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev.
  * The above change incidentally also drops the libX11 dependency
    from the main library (Closes: #824502)
  * d/rules: Trim trailing whitespace
  * d/control.in: Use secure URI in Homepage field
  * d/upstream/metadata: Add
  * d/rules, d/p/tests-Mark-pixbuf-randomly-modified-as-flaky.patch:
    Don't run pixbuf-randomly-modified test at build time.
    This is basically a crude fuzzer. It isn't really suitable for
    build-time acceptance testing, since it frequently produces images for
    which gdk-pixbuf will try to allocate more memory than is available,
    but if it does, it isn't straightforward to capture the failing image
    from an autobuilder that only records build logs. (Closes: #942124)
  * Mark pixbuf-randomly-modified test as flaky when run as autopkgtest too

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Nov 2020 11:13:22 +0000

=== debian/control ===
--- 
+++ 
@@ -14,23 +14,22 @@
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.48.0),
+               libglib2.0-dev (>= 2.56.0),
                libjpeg-dev,
                libpng-dev (<< 1.7),
                libpng-dev (>= 1.6),
                libtiff-dev,
-               libx11-dev,
-               meson (>= 0.46.0),
+               meson (>= 0.55.3),
                shared-mime-info (>= 1.2),
                xsltproc
 Build-Depends-Indep: gtk-doc-tools (>= 1.20) <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Homepage: http://www.gtk.org/
+Standards-Version: 4.5.1
+Homepage: https://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
 
-Package: libgdk-pixbuf2.0-0
+Package: libgdk-pixbuf-2.0-0
 Architecture: any
 Depends: libgdk-pixbuf2.0-common (= ${source:Version}),
          shared-mime-info,
@@ -38,6 +37,8 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgdk-pixbuf2.0-bin
+Breaks: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
+Replaces: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
 Multi-Arch: same
 Description: GDK Pixbuf library
  The GDK Pixbuf library provides:
@@ -68,20 +69,21 @@
  This package contains the common files and translations for the GDK
  Pixbuf library.
 
-Package: libgdk-pixbuf2.0-dev
+Package: libgdk-pixbuf-2.0-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
-         libgdk-pixbuf2.0-0 (= ${binary:Version}),
+         libgdk-pixbuf-2.0-0 (= ${binary:Version}),
          libgdk-pixbuf2.0-bin (= ${binary:Version}),
-         libglib2.0-dev (>= 2.37.6),
+         libglib2.0-dev (>= 2.56.0),
          libpng-dev (<< 1.7),
          libpng-dev (>= 1.6),
-         libx11-dev,
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
+Replaces: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
 Description: GDK Pixbuf library (development files)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -106,6 +108,21 @@
  in /usr/share/doc/libgtk2.0-doc/ .
 
 Package: libgdk-pixbuf2.0-0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: libgdk-pixbuf-2.0-0-udeb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: GDK Pixbuf library - minimal runtime
+ This is a udeb, or a microdeb, for the debian-installer.
+ .
+ The GDK Pixbuf library provides:
+  - Image loading and saving facilities.
+  - Fast scaling and compositing of pixbufs.
+  - Simple animation loading (ie. animated GIFs)
+ .
+ This transitional package depends on libgdk-pixbuf-2.0-0-udeb.
+
+Package: libgdk-pixbuf-2.0-0-udeb
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
@@ -139,7 +156,7 @@
 
 Package: gdk-pixbuf-tests
 Architecture: any
-Depends: libgdk-pixbuf2.0-0 (= ${binary:Version}),
+Depends: libgdk-pixbuf-2.0-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: installed tests for the GDK Pixbuf library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

ifneq (,$(filter libgdk-pixbuf2.0-doc,$(shell dh_listpackages)))
  BUILD_DOCS:=-Dgtk_doc=true
else
  BUILD_DOCS:=-Dgtk_doc=false
endif

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		$(BUILD_DOCS) \
		-Dinstalled_tests=true \
		-Dintrospection=enabled \
		$(NULL)

# temporary directory for the minimal MIME cache generation
mimedir := debian/build-mime
mimexml := /usr/share/mime/packages/freedesktop.org.xml

infiles := \
	libgdk-pixbuf-2.0-0.triggers \
	libgdk-pixbuf-2.0-0.postinst \
	libgdk-pixbuf-2.0-0.postrm

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# on slow arches the "slow" tests take longer than the timeout allowed
	# by upstream; allow even more time (-t is a multipiler)
ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64))
	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky || true
else
	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky
endif
endif

override_dh_install:
	dh_install
	# process .in files
	set -e; for file in $(infiles); do \
		sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
			debian/$${file}.in > debian/$$file; \
	done
	# generate a minimal MIME cache for the udeb
	mkdir -p $(mimedir)/packages
	[ -f $(mimexml) ]
	xsltproc -nonet debian/keep-png-only.xsl $(mimexml) \
		> $(mimedir)/packages/png.freedesktop.org.xml
	update-mime-database $(mimedir)
	install -m 0644 -D $(mimedir)/mime.cache debian/libgdk-pixbuf-2.0-0-udeb/usr/share/mime/mime.cache
	# generate a loaders cache for the udeb
	mkdir -p debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0
	LD_LIBRARY_PATH=debian/libgdk-pixbuf-2.0-0-udeb/usr/lib:$(LD_LIBRARY_PATH) \
		debian/libgdk-pixbuf-2.0-0/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders/*.so \
		| sed 's;$(CURDIR)/debian/libgdk-pixbuf-2.0-0-udeb;;g' \
		> debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache
	chmod 0644 debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache

override_dh_makeshlibs-arch:
	dh_makeshlibs -plibgdk-pixbuf-2.0-0 --add-udeb=libgdk-pixbuf-2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4
	dh_makeshlibs --remaining-packages -V -- -c4

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	set -e; for file in $(infiles); do \
		rm -f debian/$$file; \
	done
	rm -rf $(mimedir)

override_dh_builddeb:
	# on Ubuntu PNGs are optimised using 'optipng', but the (installed)
	# testsuite relies on them being unmangled
	NO_PNG_PKG_MANGLE=1 dh_builddeb -pgdk-pixbuf-tests
	dh_builddeb --remaining-packages

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xinstalled-tests

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libgdk-pixbuf-2.0-dev, pkg-config

Tests: installed-tests
Depends: gdk-pixbuf-tests, gnome-desktop-testing

Tests: installed-tests-flaky
Depends: gdk-pixbuf-tests, gnome-desktop-testing
Restrictions: flaky
